Score email subject line quality
curl --request POST \
--url https://apix.spotzee.com/api/ext/ai/email/subject-line-score \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'subject_line=Limited Time Offer: 50% Off All Products'import requests
url = "https://apix.spotzee.com/api/ext/ai/email/subject-line-score"
payload = { "subject_line": "Limited Time Offer: 50% Off All Products" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({subject_line: 'Limited Time Offer: 50% Off All Products'})
};
fetch('https://apix.spotzee.com/api/ext/ai/email/subject-line-score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apix.spotzee.com/api/ext/ai/email/subject-line-score"
payload := strings.NewReader("subject_line=Limited%20Time%20Offer%3A%2050%25%20Off%20All%20Products")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "success",
"data": {
"obtainedScore": 108,
"totalCritereaScore": 140,
"finalScorePercentage": 77,
"finalIndividualScore": {
"scannabilityScore": {
"actualValue": 72.5,
"score": 9
},
"readingGradeLevel": {
"actualValue": 7.8,
"score": 10
},
"character": {
"actualValue": 42,
"score": 10
},
"word": {
"actualValue": 8,
"score": 9
},
"sentimentAnalysis": {
"actualValue": 3,
"score": 10
},
"RE_word": {
"actualValue": 0,
"score": 10
},
"FWD_word": {
"actualValue": 0,
"score": 10
},
"free_word": {
"actualValue": 0,
"score": 10
},
"spammy_word": {
"actualValue": 0,
"score": 10
},
"exclamationMark": {
"actualValue": 1,
"score": 8
},
"wordWithAllCapitalCharacter": {
"actualValue": 1,
"score": 7
},
"punctuation": {
"actualValue": 2,
"score": 8
},
"FNAME_word": {
"actualValue": 1,
"score": 7
},
"emojis": {
"actualValue": 0,
"score": 0
}
}
}
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}AI
Score email subject line quality
Analyzes and scores your email subject line based on multiple criteria including readability, word count, sentiment, spam indicators, and more. Uses local analysis algorithms to provide detailed breakdown of scores for each criterion without making external API calls.
POST
/
ai
/
email
/
subject-line-score
Score email subject line quality
curl --request POST \
--url https://apix.spotzee.com/api/ext/ai/email/subject-line-score \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'subject_line=Limited Time Offer: 50% Off All Products'import requests
url = "https://apix.spotzee.com/api/ext/ai/email/subject-line-score"
payload = { "subject_line": "Limited Time Offer: 50% Off All Products" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({subject_line: 'Limited Time Offer: 50% Off All Products'})
};
fetch('https://apix.spotzee.com/api/ext/ai/email/subject-line-score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apix.spotzee.com/api/ext/ai/email/subject-line-score"
payload := strings.NewReader("subject_line=Limited%20Time%20Offer%3A%2050%25%20Off%20All%20Products")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "success",
"data": {
"obtainedScore": 108,
"totalCritereaScore": 140,
"finalScorePercentage": 77,
"finalIndividualScore": {
"scannabilityScore": {
"actualValue": 72.5,
"score": 9
},
"readingGradeLevel": {
"actualValue": 7.8,
"score": 10
},
"character": {
"actualValue": 42,
"score": 10
},
"word": {
"actualValue": 8,
"score": 9
},
"sentimentAnalysis": {
"actualValue": 3,
"score": 10
},
"RE_word": {
"actualValue": 0,
"score": 10
},
"FWD_word": {
"actualValue": 0,
"score": 10
},
"free_word": {
"actualValue": 0,
"score": 10
},
"spammy_word": {
"actualValue": 0,
"score": 10
},
"exclamationMark": {
"actualValue": 1,
"score": 8
},
"wordWithAllCapitalCharacter": {
"actualValue": 1,
"score": 7
},
"punctuation": {
"actualValue": 2,
"score": 8
},
"FNAME_word": {
"actualValue": 1,
"score": 7
},
"emojis": {
"actualValue": 0,
"score": 0
}
}
}
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}Authorizations
Bearer token authentication. Use format: Bearer YOUR_API_KEY
Body
application/x-www-form-urlencoded
Email subject line to analyze and score
Example:
"Limited Time Offer: 50% Off All Products"
Response
Successfully scored subject line
Available options:
success Hide child attributes
Hide child attributes
Total score obtained based on all criteria
Example:
108
Maximum possible score (number of criteria × 10)
Example:
140
Final score as a percentage (0-100)
Required range:
0 <= x <= 100Example:
77
Detailed breakdown of individual scoring criteria
Hide child attributes
Hide child attributes
Was this page helpful?
⌘I